[youtubei.js](../../../README.md) / [APIResponseTypes](../README.md) / BrowseRequest

# Type Alias: BrowseRequest

> **BrowseRequest**: `object`

## Type declaration

### browseId?

> `optional` **browseId**: `string`

### browseRequestSupportedMetadata?

> `optional` **browseRequestSupportedMetadata**: [`BrowseRequestSupportedMetadata`](BrowseRequestSupportedMetadata.md)

### formData?

> `optional` **formData**: [`FormData`](FormData.md)

### inlineSettingStatus?

> `optional` **inlineSettingStatus**: [`InlineSettingStatus`](InlineSettingStatus.md)

### params?

> `optional` **params**: `string`

### query?

> `optional` **query**: `string`

### subscriptionSettingsState?

> `optional` **subscriptionSettingsState**: `string`

## Defined in

[src/parser/types/CommandEndpoints.ts:6](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/types/CommandEndpoints.ts#L6)
